BSON_REALLOC_CTX(3)

NAME
bson_realloc_ctx - bson_realloc_ctx()

SYNOPSIS

void *
bson_realloc_ctx (void *mem, size_t num_bytes, void *ctx);

PARAMETERS

•   mem: A memory region.

•   num_bytes: A size_t containing the requested size.

•   ctx: A consumer-specific pointer or NULL.

DESCRIPTION

This function is identical to bson_realloc() except it takes a context parameter. This is useful when working with pooled or specific memory allocators.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc